Segfault after upgrade to Kubuntu BionicBeaver

Berthold Stoeger bstoeger at mail.tuwien.ac.at
Fri May 25 06:18:56 PDT 2018


Hi Lubomir,

On Freitag, 25. Mai 2018 13:52:47 CEST Lubomir I. Ivanov wrote:
> On 25 May 2018 at 12:01, Berthold Stoeger <bstoeger at mail.tuwien.ac.at> 
wrote:
> which Qt version is used for building the plugin?
> better check if you are building everything with the same Qt version.

I think there is some problem with the system-supplied qtlocation5 thing.

First I removed the libqt5location5 package and its dependencies. Then cmake 
failed, because it couldn't find qtlocation. Then I reinstalled qtlocation5-
dev and deleted the googlemaps and the subsurface/build directories.

Now it compiles and runs, but the map widget doesn't show: "MapWidget.qml 
failed to load! The QML modules QtPositioning and QtLocation could be 
missing!". That's not ideal, but OK for now.

> what is the state of your OpenGL drivers on that setup? can you run
> other OpenGL software - tests like glmark2?

glmark2 runs fine.

Berthold




More information about the subsurface mailing list